KMultiTabBar Class Reference
Main classes | KMultiTabBar related classes

`#include <kmultitabbar.h>`

Inherits QWidget.

## Public Types

enum | KMultiTabBarMode { Horizontal, Vertical }
enum | KMultiTabBarPosition { Left, Right, Top, Bottom }
enum | KMultiTabBarStyle { VSNET =0, KDEV3 =1, KONQSBC =2, KDEV3ICON =3, STYLELAST =0xffff }

## Public Member Functions

| KMultiTabBar (KMultiTabBarMode bm, QWidget *parent=0, const char *name=0)
virtual | ~KMultiTabBar ()
int | appendButton (const QPixmap &pic, int id=-1, QPopupMenu *popup=0, const QString &not_used_yet=QString::null)
void | removeButton (int id)
int | appendTab (const QPixmap &pic, int id=-1, const QString &text=QString::null)
void | removeTab (int id)
void | setTab (int id, bool state)
bool | isTabRaised (int id) const
class KMultiTabBarButton * | button (int id) const
class KMultiTabBarTab * | tab (int id) const
void | setPosition (KMultiTabBarPosition pos)
KMultiTabBarPosition | position () const
void | setStyle (KMultiTabBarStyle style)
KMultiTabBarStyle | tabStyle () const
QPtrList< KMultiTabBarTab > * | tabs ()
QPtrList< KMultiTabBarButton > * | buttons ()
void | showActiveTabTexts (bool show=true)

## Protected Member Functions

virtual void | fontChange (const QFont &)
void | updateSeparator ()

## Friends

class | KMultiTabBarButton

## Detailed Description

A Widget for horizontal and vertical tabs.

It is possible to add normal buttons to the top/left The handling if only one tab at a time or multiple tabs should be raisable is left to the "user".

Author
  Joseph Wenninger

Definition at line 56 of file kmultitabbar.h.

## Member Enumeration Documentation

enum KMultiTabBar::KMultiTabBarMode

The tab bar's orientation.

Also constraints the bar's position.

Enumerator
Horizontal | Horizontal orientation (i.e. on top or bottom)
Vertical | Vertical orientation (i.e. on the left or right hand side)

Definition at line 63 of file kmultitabbar.h.

enum KMultiTabBar::KMultiTabBarPosition

The tab bar's position.

Enumerator
Left | Left hand side.
Right | Right hand side.
Top | On top.
Bottom | On bottom.

Definition at line 71 of file kmultitabbar.h.

enum KMultiTabBar::KMultiTabBarStyle

The list of available styles for KMultiTabBar.

Enumerator
VSNET | Visual Studio .Net like (only show the text of active tabs)
KDEV3 | KDevelop 3 like (always show the text)
KONQSBC | Konqueror's classic sidebar style (unthemed) (currently disabled)
KDEV3ICON | KDevelop 3 like with icons.
STYLELAST | Last style.

Definition at line 81 of file kmultitabbar.h.

## Constructor & Destructor Documentation

KMultiTabBar::KMultiTabBar | ( | KMultiTabBarMode | bm,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructor.

Parameters

  bm | The tab bar's orientation
  parent | The parent widget
  name | The widget's name

Definition at line 835 of file kmultitabbar.cpp.

KMultiTabBar::~KMultiTabBar | ( |  | ) |

virtual

Destructor.

Definition at line 868 of file kmultitabbar.cpp.

## Member Function Documentation

int KMultiTabBar::appendButton | ( | const QPixmap & | pic,
|  | int | id = `-1`,
|  | QPopupMenu * | popup = `0`,
|  | const QString & | not_used_yet = `QString::null`
| ) |  |

append a new button to the button area.

The button can later on be accessed with button(ID) eg for connecting signals to it

Parameters

  pic | a pixmap for the button
  id | an arbitraty ID value. It will be emitted in the clicked signal for identifying the button if more than one button is connected to a signals.
  popup | A popup menu which should be displayed if the button is clicked
  not_used_yet | will be used for a popup text in the future

Definition at line 877 of file kmultitabbar.cpp.

int KMultiTabBar::appendTab | ( | const QPixmap & | pic,
|  | int | id = `-1`,
|  | const QString & | text = `QString::null`
| ) |  |

append a new tab to the tab area.

It can be accessed lateron with tabb(id);

Parameters

  pic | a bitmap for the tab
  id | an arbitrary ID which can be used later on to identify the tab
  text | if a mode with text is used it will be the tab text, otherwise a mouse over hint

Returns
  Always zero. Can be safely ignored.

Definition at line 901 of file kmultitabbar.cpp.

KMultiTabBarButton * KMultiTabBar::button | ( | int | id | ) | const

get a pointer to a button within the button area identified by its ID

Parameters

  id | The id of the tab

Definition at line 907 of file kmultitabbar.cpp.

QPtrList< KMultiTabBarButton > * KMultiTabBar::buttons | ( |  | ) |

Returns the list of pointers to the tab buttons of type KMultiTabBarButton.

Returns
  The list of tab buttons.

Warning
  be careful, don't delete buttons yourself and don't delete the list itself

Definition at line 996 of file kmultitabbar.cpp.

bool KMultiTabBar::isTabRaised | ( | int | id | ) | const

return the state of a tab, identified by it's ID

Parameters

  id | The ID of the tab to raise

Definition at line 949 of file kmultitabbar.cpp.

KMultiTabBar::KMultiTabBarPosition KMultiTabBar::position | ( |  | ) | const

get the tabbar position.

Returns
  The tab bar's position

Definition at line 984 of file kmultitabbar.cpp.

void KMultiTabBar::removeButton | ( | int | id | ) |

remove a button with the given ID

Definition at line 922 of file kmultitabbar.cpp.

void KMultiTabBar::removeTab | ( | int | id | ) |

remove a tab with a given ID

Parameters

  id | The ID of the tab to remove

Definition at line 935 of file kmultitabbar.cpp.

void KMultiTabBar::setPosition | ( | KMultiTabBarPosition | pos | ) |

set the real position of the widget.

Parameters

  pos | if the mode is horizontal, only use top, bottom, if it is vertical use left or right

Definition at line 976 of file kmultitabbar.cpp.

void KMultiTabBar::setStyle | ( | KMultiTabBarStyle | style | ) |

set the display style of the tabs

Parameters

  style | The new display style

Definition at line 966 of file kmultitabbar.cpp.

void KMultiTabBar::setTab | ( | int | id,
|  | bool | state
| ) |  |

set a tab to "raised"

Parameters

  id | The ID of the tab to manipulate
  state | true == activated/raised, false == not active

Definition at line 940 of file kmultitabbar.cpp.

void KMultiTabBar::showActiveTabTexts | ( | bool | show = `true` | ) |

might vanish, not sure yet

Definition at line 961 of file kmultitabbar.cpp.

KMultiTabBarTab * KMultiTabBar::tab | ( | int | id | ) | const

get a pointer to a tab within the tab area, identified by its ID

Definition at line 915 of file kmultitabbar.cpp.

QPtrList< KMultiTabBarTab > * KMultiTabBar::tabs | ( |  | ) |

Returns the list of pointers to the tabs of type KMultiTabBarTab.

Returns
  The list of tabs.

Warning
  be careful, don't delete tabs yourself and don't delete the list itself

Definition at line 995 of file kmultitabbar.cpp.

KMultiTabBar::KMultiTabBarStyle KMultiTabBar::tabStyle | ( |  | ) | const

get the display style of the tabs

Returns
  display style

Definition at line 971 of file kmultitabbar.cpp.

The documentation for this class was generated from the following files:

- kmultitabbar.h
- kmultitabbar.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys